// user
import OrganizationManage from "./views/OrganizationManage.vue";
import RoleManage from "./views/RoleManage.vue";
import UserManage from "./views/UserManage.vue";
import SystemSetting from "./views/SystemSetting.vue";
import FieldManage from "./views/FieldManage.vue";
import FileTypeManage from "./views/FileTypeManage.vue";
import ScanStatistics from "./views/ScanStatistics.vue";

// dict
import StudentManage from "./views/StudentManage.vue";
import SemesterManage from "./views/SemesterManage.vue";
import ExamManage from "./views/ExamManage.vue";

export default [
  {
    path: "/base/organization-manage",
    name: "OrganizationManage",
    component: OrganizationManage,
  },
  {
    path: "/base/role-manage",
    name: "RoleManage",
    component: RoleManage,
  },
  {
    path: "/base/user-manage",
    name: "UserManage",
    component: UserManage,
  },
  {
    path: "/base/system-setting",
    name: "SystemSetting",
    component: SystemSetting,
  },
  {
    path: "/base/student-manage",
    name: "StudentManage",
    component: StudentManage,
  },
  {
    path: "/base/semester-manage",
    name: "SemesterManage",
    component: SemesterManage,
  },
  {
    path: "/base/exam-manage",
    name: "ExamManage",
    component: ExamManage,
  },
  {
    path: "/base/field-manage",
    name: "FieldManage",
    component: FieldManage,
  },
  {
    path: "/base/file-type-manage",
    name: "FileTypeManage",
    component: FileTypeManage,
  },
  {
    path: "/base/scan-statistics",
    name: "ScanStatManage",
    component: ScanStatistics,
  },
];
